List reviews for an Account
curl --request GET \
--url https://api.social-api.ai/v1/inbox/reviews/{account_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/reviews/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/reviews/{account_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"author": {
"avatar_url": "https://example.com/avatar.jpg",
"id": "17841405793187218",
"name": "Jane Smith",
"username": "janesmith"
},
"created_at": "2026-06-20T18:24:31Z",
"id": "sapi_rev_TXY...",
"media": [
{
"thumbnail_label": "Photo 1",
"thumbnail_url": "https://lh3.googleusercontent.com/p/abc",
"video_url": "https://lh3.googleusercontent.com/v/xyz"
}
],
"rating": 3,
"reply": {
"policy_violation": {},
"state": "APPROVED",
"text": "Thanks for the feedback!",
"updated_at": "2026-06-21T10:00:00Z"
},
"reply_url": "https://business.google.com/reviews/reply/abc",
"text": "Great school",
"updated_at": "2026-06-20T18:24:31Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"summary": {
"average_rating": 4.2,
"total_count": 87
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}Inbox Reviews
List reviews for an Account
Returns one page of reviews for a single connected Account, newest first by default. Currently only Google Business Profile returns reviews.
GET
/
inbox
/
reviews
/
{account_id}
List reviews for an Account
curl --request GET \
--url https://api.social-api.ai/v1/inbox/reviews/{account_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/reviews/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/reviews/{account_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"author": {
"avatar_url": "https://example.com/avatar.jpg",
"id": "17841405793187218",
"name": "Jane Smith",
"username": "janesmith"
},
"created_at": "2026-06-20T18:24:31Z",
"id": "sapi_rev_TXY...",
"media": [
{
"thumbnail_label": "Photo 1",
"thumbnail_url": "https://lh3.googleusercontent.com/p/abc",
"video_url": "https://lh3.googleusercontent.com/v/xyz"
}
],
"rating": 3,
"reply": {
"policy_violation": {},
"state": "APPROVED",
"text": "Thanks for the feedback!",
"updated_at": "2026-06-21T10:00:00Z"
},
"reply_url": "https://business.google.com/reviews/reply/abc",
"text": "Great school",
"updated_at": "2026-06-20T18:24:31Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"summary": {
"average_rating": 4.2,
"total_count": 87
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Connected account ID
Query Parameters
Max results (1-50, default 20)
Pagination cursor from previous response
Sort order
Available options:
newest, rating_asc, rating_desc